# Profile | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

Represents a user profile

### Hierarchy

- Profile

## Index

### Constructors

- constructor

### Properties

- _profile

### Methods

- toJSON
- toToken
- fromToken
- makeZoneFile
- validateSchema

## Constructors

### constructor

- new Profile(profile?: {}): Profile

- - Defined in packages/profile/src/profile.ts:40

  #### Parameters

  - ##### profile: {} = {}

  #### Returns Profile

## Properties

### _profile

_profile: {}

- Defined in packages/profile/src/profile.ts:40

#### Type declaration

- ##### [key: string]: any

## Methods

### toJSON

- toJSON(): {}

- - Defined in packages/profile/src/profile.ts:52

  #### Returns {}

  - ##### [key: string]: any

### toToken

- toToken(privateKey: string): string

- - Defined in packages/profile/src/profile.ts:56

  #### Parameters

  - ##### privateKey: string

  #### Returns string

### Static fromToken

- fromToken(token: string, publicKeyOrAddress?: null | string): Profile

- - Defined in packages/profile/src/profile.ts:65

  #### Parameters

  - ##### token: string

  - ##### publicKeyOrAddress: null | string = null

  #### Returns Profile

### Static makeZoneFile

- makeZoneFile(domainName: string, tokenFileURL: string): string

- - Defined in packages/profile/src/profile.ts:70

  #### Parameters

  - ##### domainName: string

  - ##### tokenFileURL: string

  #### Returns string

### Static validateSchema

- validateSchema(profile: any, strict?: boolean): any

- - Defined in packages/profile/src/profile.ts:60

  #### Parameters

  - ##### profile: any

  - ##### strict: boolean = false

  #### Returns any

Generated using TypeDoc